<?php
function pagenav($base_url, $start, $max_value, $num_per_page) {
    ////////////////////////////////////////////////////////////
    // Функция постраничной навигации (JohnCMS)               //
    ////////////////////////////////////////////////////////////
    // За основу взята аналогичная функция от форума SMF2.0   //
    ////////////////////////////////////////////////////////////
    $pgcont = 4;
    $pgcont = (int)($pgcont - ($pgcont % 2)) / 2;
    if ($start >= $max_value)
        $start = max(0, (int)$max_value - (((int)$max_value % (int)$num_per_page) == 0 ? $num_per_page : ((int)$max_value % (int)$num_per_page)));
    else
        $start = max(0, (int)$start - ((int)$start % (int)$num_per_page));
    $base_link = '<a class="navpg" href="' . strtr($base_url, array ('%' => '%%')) . 'start=%d' . '">%s</a> ';
    $pageindex = $start == 0 ? '' : sprintf($base_link, $start - $num_per_page, '&lt;&lt;');
    if ($start > $num_per_page * $pgcont)
        $pageindex .= sprintf($base_link, 0, '1');
    if ($start > $num_per_page * ($pgcont + 1))
        $pageindex .= '<span style="font-weight: bold;"> ... </span>';
    for ($nCont = $pgcont; $nCont >= 1; $nCont--)
        if ($start >= $num_per_page * $nCont) {
            $tmpStart = $start - $num_per_page * $nCont;
            $pageindex .= sprintf($base_link, $tmpStart, $tmpStart / $num_per_page + 1);
        }
    $pageindex .= '[<b>' . ($start / $num_per_page + 1) . '</b>] ';
    $tmpMaxPages = (int)(($max_value - 1) / $num_per_page) * $num_per_page;
    for ($nCont = 1; $nCont <= $pgcont; $nCont++)
        if ($start + $num_per_page * $nCont <= $tmpMaxPages) {
            $tmpStart = $start + $num_per_page * $nCont;
            $pageindex .= sprintf($base_link, $tmpStart, $tmpStart / $num_per_page + 1);
        }
    if ($start + $num_per_page * ($pgcont + 1) < $tmpMaxPages)
        $pageindex .= '<span style="font-weight: bold;"> ... </span>';
    if ($start + $num_per_page * $pgcont < $tmpMaxPages)
        $pageindex .= sprintf($base_link, $tmpMaxPages, $tmpMaxPages / $num_per_page + 1);
    if ($start + $num_per_page < $max_value) {
        $display_page = ($start + $num_per_page) > $max_value ? $max_value : ($start + $num_per_page);
        $pageindex .= sprintf($base_link, $display_page, '&gt;&gt;');
    }
    return $pageindex;
}

// функция окончаний
function getNumberWord($value,$names) {
$temp=strval($value);
$temp = $temp[strlen($temp)-1];
return (($temp>1 and $temp<5 and (intval($value)>19 or intval($value)<10))?$names[1]:($temp==1?$names[0]:$names[2]));
}

// уровень клуба
function level_club($club) {

$r=mysql_fetch_assoc(mysql_query("SELECT * FROM `clubs` WHERE `id`='".$club."'"));
$win=$r['winmatch'];
if ($win<=50)
	$level='1';
	if ($win>50 && $win<=200)
		$level='2';
			if ($win>200 && $win<=500)
				$level='3';
					if ($win>500 && $win<=900)
						$level='4';
							if ($win>900)
								$level='5';

return $level;
}

// следующий уровень
function next_level_club($club,$level) {
$r=mysql_fetch_assoc(mysql_query("SELECT * FROM `clubs` WHERE `id`='".$club."'"));
if ($level==1) {
$win=$r['winmatch'];
$next=50;
}
	if ($level==2) {
	$win=$r['winmatch']-50;
	$next=150;
	}
		if ($level==3) {
		$win=$r['winmatch']-200;
		$next=300;
		}
			if ($level==4) {
			$win=$r['winmatch']-500;
			$next=400;
			}
				if ($level==5) {
				$win=$r['winmatch']-900;
				if ($win<650)
				$next=650;
				else
				$next='*';
				}
if ($win<0)
$win=0;

return $win.'/'.$next;
}

// точки в числе
function number_t($stroka) {
$coz=strlen($stroka);
if ($coz=11)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1$2.$3$4$5.$6$7$8.$9$10$11',$stroka);

if ($coz=10)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1.$2$3$4.$5$6$7.$8$9$10',$stroka);

if ($coz=9)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1$2$3.$4$5$6.$7$8$9',$stroka);

if ($coz=8)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1$2.$3$4$5.$6$7$8',$stroka);

if ($coz=7)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1.$2$3$4.$5$6$7',$stroka);

if ($coz=6)
$stroka=preg_replace('/([0-9])+([0-9])+([0-9])+([0-9])+([0-9])+([0-9])/si','$1$2$3.$4$5$6',$stroka);

return $stroka;
}


function check($str) {
    ////////////////////////////////////////////////////////////
    // Проверка переменных(JohnCMS)                           //
    ////////////////////////////////////////////////////////////
    $str = htmlentities(trim($str), ENT_QUOTES, 'UTF-8');
    $str = nl2br($str);
    $str = strtr($str, array(chr(0) => '', chr(1) => '', chr(2) => '', chr(3) => '', chr(4) => '', chr(5) => '', chr(6) => '', chr(7) => '', chr(8) => '', chr(9) => '', chr(10) => '', chr(11) => '', chr(12) => '', chr(13) => '', chr(14) => '', chr(15) => '', chr(16) => '', chr(17) => '', chr(18) => '', chr(19) => '', chr(20) => '', chr(21) => '', chr(22) => '', chr(23) => '', chr(24) => '', chr(25) => '', chr(26) => '', chr(27) => '', chr(28) => '', chr(29) => '', chr(30) => '', chr(31) => ''));
    $str = str_replace("\'", "&#39;", $str);
    $str = str_replace('\\', "&#92;", $str);
    $str = str_replace("|", "I", $str);
    $str = str_replace("||", "I", $str);
    $str = str_replace("/\\\$/", "&#36;", $str);
    $str = mysql_real_escape_string($str);
    return $str;
}

    ////////////////////////////////////////////////////////////
    // Функция пересчета на дни, или часы  (JohnCMS)          //
    ////////////////////////////////////////////////////////////
function timecount($var) {

    $str = '';
    if ($var < 0)
        $var = 0;
    $day = ceil($var / 86400);
    if ($var > 345600) {
        $str = $day . ' дней';
    }
    elseif ($var >= 172800) {
        $str = $day . ' дня';
    }
    elseif ($var >= 86400) {
        $str = '1 день';
    }
    else {
        $str = gmdate('G:i:s', $var);
    }
    return $str;
}


function display_error($error = false) {
    ////////////////////////////////////////////////////////////
    // Сообщения об ошибках                                   //
    ////////////////////////////////////////////////////////////
    if ($error) {
        $out = '<div class="rmenu"><p>ОШИБКА!';
        if (is_array($error)) {
            foreach ($error as $val)
                $out .= '<div>' . $val . '</div>';
        }
        else {
            $out .= '<br />' . $error;
        }
        $out .= '</p></div>';
        return $out;
    }
    else {
        return false;
    }
}





// Прибыль от зданий
function money_zdania($money_club,$last_time,$id) {
$tim=time()-86400;
if ($last_time<$tim) {
$r=mysql_query("SELECT * FROM `zdania_club` WHERE `club`='".$id."'");
$mon=0;
while ($e=mysql_fetch_assoc($r)) { $mon=$mon+$e['money_r'];  }
$money=$money_club+$mon;
mysql_query("UPDATE `clubs` SET `money`='".$money."',`last_time_m`='".time()."' WHERE `id`='".$id."'");
}
}

// Процент из банка
function procent_bank($money_club,$last_time,$procent,$id) {
$tim=time()-86400;
if ($last_time<$tim) {
if ($money_club>10000) { $procent=$procent/2; }
if ($money_club>50000) { $procent=$procent/4; }
$money_p=$money_club*$procent/100;
$money=$money_club+$money_p;
mysql_query("UPDATE `clubs` SET `bank`='".$money."',`procent_bank_time`='".time()."' WHERE `id`='".$id."'");
}
}
// Прибыль от спонсора
function money_sponsors($money_club,$last_time,$id) {
$tim=time()-86400;
if ($last_time<$tim) {
$r=mysql_query("SELECT * FROM `sponsors_club` WHERE `club`='".$id."'");
$mon=0;
while ($e=mysql_fetch_assoc($r)) { $mon=$mon+$e['money'];  }
$money=$money_club+$mon;
mysql_query("UPDATE `clubs` SET `money`='".$money."',`last_time_s`='".time()."' WHERE `id`='".$id."'");
}
}
// травмы
function travms($club) {
$n=mysql_result(mysql_query("SELECT COUNT(*) FROM `travma` WHERE `club`='".$club."' AND `time`<='".time()."'"), 0);
if ($n>0)
mysql_query("DELETE FROM `travma` WHERE `club`='".$club."' AND `time`<='".time()."'");
} 

// возраст игроков
function age($club) {
$r=mysql_query("SELECT * FROM `sostav` WHERE `club`='".$club."' AND `age_time`<'".(time()-1209600)."'");
while ($e=mysql_fetch_assoc($r)) { 
if ($e['age']>=35)
mysql_query("DELETE FROM `sostav` WHERE `id`='".$e['id']."'");
else
mysql_query("UPDATE `sostav` SET `age`=`age`+'1',`age_time`='".time()."' WHERE `id`='".$e['id']."'"); 
} 
}

// карточки
function karts_on($club) {
$r=mysql_query("SELECT * FROM `sostav` WHERE `club`='".$club."'");
	while ($e=mysql_fetch_assoc($r)) {
		if ($e['yellowcards']>=4)
		mysql_query("INSERT INTO `karts` SET `name`='".$e['name']."',`club`='".$club."',`time`='".(time()+86400)."'");
	}
}
function karts_off($club) {
$r=mysql_query("SELECT * FROM `karts` WHERE `club`='".$club."'");
	while ($e=mysql_fetch_assoc($r)) {
		if ($e['time']<time())
		mysql_query("DELETE FROM `karts` WHERE `id`='".$id."'");
	}
}
// смаилы
function smiles($text)
{
$smiles=mysql_query("SELECT * FROM `smiles`");
while ($sm=mysql_fetch_assoc($smiles)) {
$text=str_replace("".$sm['name']."","<img src='".$home."/img/smiles/".$sm['url']."'/>",$text);
}
return $text;
}
function tags($var = '') {
    ////////////////////////////////////////////////////////////
    // Обработка ссылок и тэгов BBCODE в тексте(JohnCMS)      //
    ////////////////////////////////////////////////////////////
//    $var = preg_replace(array('#\[php\](.*?)\[\/php\]#se'), array("''.highlight('$1').''"), str_replace("]\n", "]", $var));
    $var = preg_replace('#\[b\](.*?)\[/b\]#si', '<span style="font-weight: bold;">\1</span>', $var);
    $var = preg_replace('#\[i\](.*?)\[/i\]#si', '<span style="font-style:italic;">\1</span>', $var);
    $var = preg_replace('#\[u\](.*?)\[/u\]#si', '<span style="text-decoration:underline;">\1</span>', $var);
    $var = preg_replace('#\[s\](.*?)\[/s\]#si', '<span style="text-decoration: line-through;">\1</span>', $var);
    $var = preg_replace('#\[red\](.*?)\[/red\]#si', '<span style="color:red">\1</span>', $var);
    $var = preg_replace('#\[green\](.*?)\[/green\]#si', '<span style="color:green">\1</span>', $var);
    $var = preg_replace('#\[blue\](.*?)\[/blue\]#si', '<span style="color:blue">\1</span>', $var);
    $var = preg_replace('#\[c\](.*?)\[/c\]#si', '<div class="quote">\1</div>', $var);
//    $var = preg_replace_callback('~\\[url=(https?://.+?)\\](.+?)\\[/url\\]|(https?://(www.)?[0-9a-z\.-]+\.[0-9a-z]{2,6}[0-9a-zA-Z/\?\.\~&amp;_=/%-:#]*)~', 'url_replace', $var);
    return $var;
}
?>