﻿-- phpMyAdmin SQL Dump
-- version 2.6.1
-- http://www.phpmyadmin.net
-- 
-- Хост: localhost
-- Время создания: Окт 06 2010 г., 18:22
-- Версия сервера: 5.0.45
-- Версия PHP: 5.2.4
-- 
-- БД: `manager`
-- 

-- --------------------------------------------------------

-- 
-- Структура таблицы `champ_club`
-- 

CREATE TABLE `champ_club` (
  `id` int(11) NOT NULL auto_increment,
  `club` int(11) default '0',
  `champ` int(11) default '0',
  `etap` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `champ_club`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `champ_match`
-- 

CREATE TABLE `champ_match` (
  `id` int(11) NOT NULL auto_increment,
  `team` int(11) default '0',
  `team_two` int(11) default '0',
  `result` int(11) default '0',
  `etap` int(11) NOT NULL default '0',
  `champ` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `champ_match`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `clubs`
-- 

CREATE TABLE `clubs` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `user` text NOT NULL,
  `money` int(11) NOT NULL default '0',
  `con` text NOT NULL,
  `populary` int(11) default '0',
  `fans` int(11) NOT NULL default '0',
  `last_time` int(11) default '0',
  `last_time_m` int(11) NOT NULL default '0',
  `last_time_stud` int(11) NOT NULL default '0',
  `procent_bank_time` int(11) default '0',
  `last_time_s` int(11) NOT NULL default '0',
  `forma` text NOT NULL,
  `rasstan` text NOT NULL,
  `bank` int(11) NOT NULL default '0',
  `embl` text NOT NULL,
  `ban` int(11) NOT NULL default '0',
  `prich_ban` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `clubs`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `cups`
-- 

CREATE TABLE `cups` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `status` int(1) default '0',
  `type` int(1) NOT NULL default '0',
  `win` text NOT NULL,
  `money` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `cups`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `cups_clubs`
-- 

CREATE TABLE `cups_clubs` (
  `id` int(11) NOT NULL auto_increment,
  `club` text NOT NULL,
  `type` int(1) default '0',
  `cup` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `cups_clubs`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `cups_games`
-- 

CREATE TABLE `cups_games` (
  `id` int(11) NOT NULL auto_increment,
  `team` text NOT NULL,
  `team_two` text NOT NULL,
  `result` text NOT NULL,
  `cup` int(11) default '0',
  `type` int(1) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `cups_games`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `forum`
-- 

CREATE TABLE `forum` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `ref_id` int(11) default '0',
  `user` text NOT NULL,
  `text` text NOT NULL,
  `time` int(11) default '0',
  `type` text NOT NULL,
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `forum`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `kredits`
-- 

CREATE TABLE `kredits` (
  `id` int(11) NOT NULL auto_increment,
  `club` int(11) NOT NULL default '0',
  `money` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `procent` int(11) NOT NULL default '0',
  `srok` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `kredits`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `matches`
-- 

CREATE TABLE `matches` (
  `id` int(5) NOT NULL auto_increment,
  `team1` varchar(30) NOT NULL default '',
  `team2` varchar(30) NOT NULL default '',
  `score1` smallint(2) default NULL,
  `score2` smallint(2) default NULL,
  `season` tinyint(2) NOT NULL default '0',
  `round` tinyint(3) NOT NULL default '0',
  `day` tinyint(2) NOT NULL default '0',
  `month` tinyint(2) NOT NULL default '0',
  `year` smallint(4) NOT NULL default '0',
  `hour` tinyint(2) NOT NULL default '0',
  `minute` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `matches`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `news`
-- 

CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `text` text NOT NULL,
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `news`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `online_guest`
-- 

CREATE TABLE `online_guest` (
  `name` char(32) NOT NULL,
  `ip` tinytext,
  `agent` tinytext NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Дамп данных таблицы `online_guest`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `set_manager`
-- 

CREATE TABLE `set_manager` (
  `id` int(11) NOT NULL auto_increment,
  `min_num_z_sostav` int(11) default '0',
  `max_num_z_sostav` int(11) NOT NULL default '0',
  `money_t_match` int(11) default '0',
  `money_t_match_r` int(11) default '0',
  `komm_s_prodaz` int(11) NOT NULL default '0',
  `money_mest` int(11) NOT NULL default '0',
  `procent_bank` int(11) NOT NULL default '0',
  `max_sponsors` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `set_manager`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `sostav`
-- 

CREATE TABLE `sostav` (
  `id` int(11) NOT NULL auto_increment,
  `name` text character set utf8 NOT NULL,
  `club` int(1) default '0',
  `sostav` int(11) default '0',
  `hp` int(11) NOT NULL default '100',
  `xp` int(11) NOT NULL default '0',
  `xp_num` int(11) NOT NULL default '0',
  `poz` text character set utf8 NOT NULL,
  `sila` int(11) NOT NULL default '0',
  `speed` int(11) NOT NULL default '0',
  `up_speed` int(11) NOT NULL default '0',
  `toch` int(11) NOT NULL default '0',
  `ball` int(11) NOT NULL default '0',
  `money` int(11) NOT NULL default '0',
  `money_r` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `sostav`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `sponsors`
-- 

CREATE TABLE `sponsors` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `info` text NOT NULL,
  `money` int(11) default '0',
  `money_k` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `sponsors`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `sponsors_club`
-- 

CREATE TABLE `sponsors_club` (
  `id` int(11) NOT NULL auto_increment,
  `club` int(11) default '0',
  `sponsor` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `sponsors_club`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `studions`
-- 

CREATE TABLE `studions` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `club` int(11) default '0',
  `zar` int(11) default '1000',
  `mod` int(11) default '1',
  `mesta` int(11) default '0',
  `match` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `studions`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `t_match`
-- 

CREATE TABLE `t_match` (
  `id` int(11) NOT NULL auto_increment,
  `team` text,
  `team_two` text NOT NULL,
  `team_id` int(11) NOT NULL default '0',
  `team_two_id` int(11) NOT NULL default '0',
  `result` text NOT NULL,
  `translit` text NOT NULL,
  `time` int(11) default '0',
  `type` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `t_match`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `tov_p`
-- 

CREATE TABLE `tov_p` (
  `id` int(11) NOT NULL auto_increment,
  `team` text NOT NULL,
  `team_two` text NOT NULL,
  `team_id` int(11) default '0',
  `team_two_id` int(11) default '0',
  `time` int(11) default '0',
  `timeout` int(11) NOT NULL default '0',
  `team_ok` int(2) default NULL,
  `team_two_ok` int(2) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `tov_p`
-- 

-- --------------------------------------------------------

-- 
-- Структура таблицы `trans_player`
-- 

CREATE TABLE `trans_player` (
  `id` int(11) NOT NULL auto_increment,
  `id_p` int(11) NOT NULL default '0',
  `name` text NOT NULL,
  `club` int(1) default '0',
  `hp` int(11) NOT NULL default '100',
  `xp` int(11) NOT NULL default '0',
  `xp_num` int(11) NOT NULL default '0',
  `poz` text NOT NULL,
  `sila` int(11) NOT NULL default '0',
  `speed` int(11) NOT NULL default '0',
  `up_speed` int(11) NOT NULL default '0',
  `toch` int(11) NOT NULL default '0',
  `money` int(11) NOT NULL default '0',
  `money_r` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `trans_player`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `travma`
-- 

CREATE TABLE `travma` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `club` int(1) default '0',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `travma`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `users`
-- 

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) default NULL,
  `password` varchar(32) NOT NULL default '',
  `rights` int(1) NOT NULL default '0',
  `ban` int(1) NOT NULL default '0',
  `prich_ban` text NOT NULL,
  `names` text NOT NULL,
  `dayb` text,
  `monthb` text NOT NULL,
  `yearofbirth` text NOT NULL,
  `info` text NOT NULL,
  `online_time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `users`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `zdania`
-- 

CREATE TABLE `zdania` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `money` int(11) default '0',
  `money_r` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `zdania`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `zdania_club`
-- 

CREATE TABLE `zdania_club` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `club` int(11) default '0',
  `money` int(11) default '0',
  `money_r` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `zdania_club`
-- 

     -- --------------------------------------------------------

-- 
-- Структура таблицы `school`
-- 

CREATE TABLE `school` (
  `id` int(11) NOT NULL auto_increment,
  `club` text NOT NULL,
  `level` int(11) default '0',
  `time` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `school`
--    

     -- --------------------------------------------------------

-- 
-- Структура таблицы `free_player`
-- 

CREATE TABLE `free_player` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `club` text NOT NULL,
  `hp` int(11) NOT NULL default '100',
  `xp` int(11) NOT NULL default '0',
  `xp_num` int(11) NOT NULL default '0',
  `poz` text NOT NULL,
  `sila` int(11) NOT NULL default '0',
  `speed` int(11) NOT NULL default '0',
  `up_speed` int(11) NOT NULL default '0',
  `toch` int(11) NOT NULL default '0',
  `ball` int(11) NOT NULL default '0',
  `money` int(11) NOT NULL default '0',
  `money_r` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `free_player`
--

     -- --------------------------------------------------------

-- 
-- Структура таблицы `smiles`
-- 

CREATE TABLE `smiles` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `smiles`
--

     -- --------------------------------------------------------

-- 
-- Структура таблицы `mini_chat`
-- 

CREATE TABLE `mini_chat` (
  `id` int(11) NOT NULL auto_increment,
  `user` text NOT NULL,
  `text` text NOT NULL,
  `time` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `mini_chat`
--

     -- --------------------------------------------------------

-- 
-- Структура таблицы `trofi_club`
-- 

CREATE TABLE `trofi_club` (
  `id` int(11) NOT NULL auto_increment,
  `club` text NOT NULL,
  `name` text NOT NULL,
  `time` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `trofi_club`
--

-- --------------------------------------------------------

-- 
-- Структура таблицы `chemp`
-- 

CREATE TABLE `chemp` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `mest` text NOT NULL,
  `round` int(11) NOT NULL default '0',
  `level_club` int(1) default '0',
  `money` int(11) default '0',
  `con` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `chemp`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `chemp_clubs`
-- 

CREATE TABLE `chemp_clubs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `club_id` int(11) default '0',
  `chemp` int(11) default '0',
  `o` int(11) NOT NULL default '0',
  `mz` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `chemp_clubs`
-- 


-- --------------------------------------------------------

-- 
-- Структура таблицы `chemp_games`
-- 

CREATE TABLE `chemp_games` (
  `id` int(11) NOT NULL auto_increment,
  `team` text NOT NULL,
  `team_id` int(11) NOT NULL default '0',
  `team_two` text NOT NULL,
  `team_two_id` int(11) NOT NULL default '0',
  `result` text NOT NULL,
  `chemp` int(11) default '0',
  `round` int(2) default '0',
  `time` int(11) NOT NULL default '0',
  `timeout` int(11) NOT NULL default '0',
  `team_ok` int(1) NOT NULL default '0',
  `team_two_ok` int(1) NOT NULL default '0',
  `type_one` int(1) NOT NULL default '0',
  `type_two` int(1) NOT NULL default '0',
  `translit` text NOT NULL,
  `type` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- 
-- Дамп данных таблицы `chemp_games`
-- 

        